Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1736009 - Review Request: golang-github-zmap-zlint - X.509 Certificate Linter based on CA/B Forum Baseline Requirements and RFC 5280
Summary: Review Request: golang-github-zmap-zlint - X.509 Certificate Linter based on ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hirotaka Wakabayashi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: golang-github-zmap-zcertificate
TreeView+ depends on / blocked
 
Reported: 2019-08-01 14:00 UTC by Robert-André Mauchin 🐧
Modified: 2020-08-04 20:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 17:47:53 UTC
Type: ---
hiwkby: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2019-08-01 14:00:09 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/golang-github-zmap-zlint.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/golang-github-zmap-zlint-0-0.1.20190801git9971d62.fc31.src.rpm

Description:
 ZLint is a X.509 certificate linter written in Go that checks for consistency with RFC 5280 and the CA/Browser Forum Baseline Requirements (v.1.4.8).

Fedora Account System Username: eclipseo

Comment 1 Hirotaka Wakabayashi 2019-08-13 11:43:14 UTC
A successful Koji scratch build https://koji.fedoraproject.org/koji/taskinfo?taskID=36994859

Comment 2 Hirotaka Wakabayashi 2019-08-14 04:35:25 UTC
Hello Robert-André,

I reviewed this package.

This packages SHOULD contain manpages for zlint and zlint-gtld-update.
Please see the https://docs.fedoraproject.org/en-US/packaging-guidelines/#_manpages
```
golang-github-zmap-zlint.x86_64: W: no-manual-page-for-binary zlint
golang-github-zmap-zlint.x86_64: W: no-manual-page-for-binary zlint-gtld-update
```

Here are the results of rpmlint.
```
$ rpmlint ~/rpmbuild/SRPMS/golang-github-zmap-zlint-0-0.1.20190801git9971d62.fc31.src.rpm 
golang-github-zmap-zlint.src: W: spelling-error %description -l en_US linter -> liner, liter, inter
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint /home/vagrant/rpmbuild/RPMS/noarch/golang-github-zmap-zlint-devel-0-0.1.20190801git9971d62.fc31.noarch.rpm
golang-github-zmap-zlint-devel.noarch: W: spelling-error %description -l en_US linter -> liner, liter, inter
golang-github-zmap-zlint-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/zmap/zlint/.goipath
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint /home/vagrant/rpmbuild/RPMS/x86_64/golang-github-zmap-zlint-debuginfo-0-0.1.20190801git9971d62.fc31.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint /home/vagrant/rpmbuild/RPMS/x86_64/golang-github-zmap-zlint-0-0.1.20190801git9971d62.fc31.x86_64.rpm
golang-github-zmap-zlint.x86_64: W: spelling-error %description -l en_US linter -> liner, liter, inter
golang-github-zmap-zlint.x86_64: W: no-manual-page-for-binary zlint
golang-github-zmap-zlint.x86_64: W: no-manual-page-for-binary zlint-gtld-update
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint /home/vagrant/rpmbuild/RPMS/x86_64/golang-github-zmap-zlint-debugsource-0-0.1.20190801git9971d62.fc31.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
```

Thanks in advance,
Hirotaka Wakabayashi

Comment 4 Robert-André Mauchin 🐧 2019-08-14 11:22:35 UTC
I added the manpages.

Comment 5 Hirotaka Wakabayashi 2019-08-14 13:44:12 UTC
Hello Robert-André,

Thanks for fixing the problem.

This package meets the quality control requirements for Fedora.

Here are logs for reference.

1. rpmlint
```
$ rpmlint ~/rpmbuild/SRPMS/golang-github-zmap-zlint-0-0.1.20190801git9971d62.fc31.src.rpm
golang-github-zmap-zlint.src: W: spelling-error %description -l en_US linter -> liner, liter, inter
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ~/rpmbuild/RPMS/x86_64/golang-github-zmap-zlint-debugsource-0-0.1.20190801git9971d62.fc31.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ~/rpmbuild/RPMS/x86_64/golang-github-zmap-zlint-0-0.1.20190801git9971d62.fc31.x86_64.rpm 
golang-github-zmap-zlint.x86_64: W: spelling-error %description -l en_US linter -> liner, liter, inter
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ~/rpmbuild/RPMS/x86_64/golang-github-zmap-zlint-debugsource-0-0.1.20190801git9971d62.fc31.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ~/rpmbuild/RPMS/noarch/golang-github-zmap-zlint-devel-0-0.1.20190801git9971d62.fc31.noarch.rpm 
golang-github-zmap-zlint-devel.noarch: W: spelling-error %description -l en_US linter -> liner, liter, inter
golang-github-zmap-zlint-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/zmap/zlint/.goipath
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
```

2. koji(success)
http://koji.fedoraproject.org/koji/taskinfo?taskID=37036868

Best Regards,
Hirotaka Wakabayashi

Comment 6 Gwyn Ciesla 2019-08-14 16:08:19 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-zmap-zlint


Note You need to log in before you can comment on or make changes to this bug.